Option Strict Off
Option Explicit On
Friend Class Form1
    Inherits System.Windows.Forms.Form
    Dim WithEvents hts As HEWTARGETSERVERLib.HewServer1

    Dim HEW_status As String

    'oscilloscope dll connection declarations
    Private Declare Function ScopeCreate Lib _
     "OscDLL_VB.dll" (ByVal Prm As Integer, ByVal P_IniName As String, ByVal P_IniSuffix As String) As Integer

    Private Declare Function ScopeShow Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function AtOpenLib Lib _
    "OscDLL_VB.dll" (ByVal Prm As Integer) As Integer

    Private Declare Function ScopeHide Lib _
    "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ScopeDestroy Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ScopeCleanBuffers Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ShowNext Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer, ByRef PArrDbl As Double) As Integer

    Private Declare Function ExternalNext Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer, ByRef PArrDbl As Double) As Integer

    Public Sub HTSMsgBox(ByVal s As String)
        MsgBox(s, MsgBoxStyle.OkOnly, "Scope")
    End Sub


    Public Sub HTSErrorMsgBox(ByVal s As String)
        MsgBox(s, MsgBoxStyle.OkOnly Or MsgBoxStyle.Exclamation, "Scope")
    End Sub

    Dim ScopeStarted As Boolean
    Dim scopehandle As Integer



    Dim ret As Long
    Dim lBegin As Long
    Dim lEnd As Long
    Dim lDisplayWidth As Long
    Dim vMemData As Object


    Dim outValue As Integer






    Private Declare Function GetTickCount Lib "kernel32.dll" () As Long

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load



        hts = New HEWTARGETSERVERLib.HewServer1



        RadioButton1.Checked = True


        lBegin = 962
        lEnd = 962
        lDisplayWidth = 1

        RunScopeToolStripMenuItem.Enabled = False

        AtOpenLib(1)

    End Sub




  



    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged

     
        On Error GoTo HTS_error







        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN1   IN TARGET PROCESSOR

        lBegin = 982
        lEnd = 982
        lDisplayWidth = 1



        vMemData = New Integer() {73}       ' CHOOSE AN1


        hts = New HEWTARGETSERVERLib.HewServer1

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)


        ' CHANGE THE READ ADDRESS TO READ FROM AN1 A/D ADDRESS ON HOST


        lBegin = 962
        lEnd = 962


HTS_error:




    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged



        On Error GoTo HTS_error








        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN4   IN TARGET PROCESSOR

        lBegin = 982
        lEnd = 982


        vMemData = New Integer() {76}      ' CHOOSE AN4

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)



        ' CHANGE THE READ ADDRESS TO READ FROM AN4 A/D ADDRESS ON HOST


        lBegin = 968
        lEnd = 968

      
HTS_error:


    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged


        On Error GoTo HTS_error



        




        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN5   IN TARGET PROCESSOR


        lBegin = 982
        lEnd = 982


        vMemData = New Integer() {77}    ' CHOOSE AN5

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)




        ' CHANGE THE READ ADDRESS TO READ FROM AN5 A/D ADDRESS ON HOST


        lBegin = 970
        lEnd = 970
HTS_error:


    End Sub

   

    Private Sub LoadScopeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LoadScopeToolStripMenuItem.Click



        If LoadScopeToolStripMenuItem.Text = "Load Scope" Then

            LoadScopeToolStripMenuItem.Text = "Unload Scope"
            RunScopeToolStripMenuItem.Enabled = True
            scopehandle = ScopeCreate(2, "Scope_Desk.ini", "")
            ScopeShow(scopehandle)

        Else

            LoadScopeToolStripMenuItem.Text = "Load Scope"
            RunScopeToolStripMenuItem.Enabled = False
            ScopeStarted = False
            Call ScopeHide(scopehandle)
            Call ScopeDestroy(scopehandle)

        End If

    End Sub

    Private Sub RunScopeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RunScopeToolStripMenuItem.Click

        On Error GoTo HTS_error



     

        If RunScopeToolStripMenuItem.Text = "Run Scope" Then
            RunScopeToolStripMenuItem.Text = "Stop Scope"
            LoadScopeToolStripMenuItem.Enabled = False
            ExitProgramToolStripMenuItem.Enabled = False


            Dim D1(2) As Double
            '       Dim Db As Double
            Dim i As Integer

            ScopeStarted = True

            D1(0) = 0

            Do


                ''''''''''''''''''''''''''''''''''''''''''''

               

                hts.GetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)

                outValue = vMemData.GetValue(0)









                D1(0) = outValue * 0.01953125

                TextBox1.Text = outValue
                TextBox2.Text = D1(0)








                ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

                For i = 0 To 10000 Step 1



                    'Call ExternalNext(scopehandle, Db)
                    Call ShowNext(scopehandle, D1(0))

                Next i



            Loop Until (Not ScopeStarted)

        Else
            RunScopeToolStripMenuItem.Text = "Run Scope"
            LoadScopeToolStripMenuItem.Enabled = True
            ExitProgramToolStripMenuItem.Enabled = True
            ScopeStarted = False
        End If






HTS_error:






    End Sub

    Private Sub ExitProgramToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitProgramToolStripMenuItem.Click
        End
    End Sub

  

    Private Sub StartHEWToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StartHEWToolStripMenuItem.Click
        hts.InvokeHew()
    End Sub

  
  
    Private Sub RunTargetToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RunTargetToolStripMenuItem.Click




        On Error GoTo HTS_error


        hts.GoTargetExec2()
HTS_error:





    End Sub

    Private Sub StopTargetToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StopTargetToolStripMenuItem.Click
    


        On Error GoTo HTS_error



        hts.StopTargetExec2()
HTS_error:


    End Sub

    Private Sub AboutScopeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutScopeToolStripMenuItem.Click
        AboutScope.Show()
    End Sub
End Class
